Package com.avaya.clientservices.messaging.enums

## Enum MessagingParticipantSourceType

- java.lang.Object
- - java.lang.Enum<MessagingParticipantSourceType>
  - - com.avaya.clientservices.messaging.enums.MessagingParticipantSourceType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessagingParticipantSourceType>`

      public enum MessagingParticipantSourceType
      extends java.lang.Enum<MessagingParticipantSourceType>

  Represents the messaging source that the participant comes from.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOUD` | Participant comes from cloud source.
    `ENTERPRISE` | Participant comes from enterprise source.
    `UNDEFINED` | Source type could not be determined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessagingParticipantSourceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessagingParticipantSourceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final MessagingParticipantSourceType UNDEFINED

      Source type could not be determined.

    - #### ENTERPRISE

          public static final MessagingParticipantSourceType ENTERPRISE

      Participant comes from enterprise source.

    - #### CLOUD

          public static final MessagingParticipantSourceType CLOUD

      Participant comes from cloud source.

  - ### Method Detail

    - #### values

          public static MessagingParticipantSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessagingParticipantSourceType c : MessagingParticipantSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessagingParticipantSourceType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null